gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.ZlibDecompressor

Contents

- Exported types
- Methods
  - getFileInfo
  - new
- Properties
  - fileInfo
  - format

Description

Zlib decompression

Synopsis

- newtype ZlibDecompressor = ZlibDecompressor (ManagedPtr ZlibDecompressor)
- class GObject o => IsZlibDecompressor o
- toZlibDecompressor :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibDecompressor
- noZlibDecompressor :: Maybe ZlibDecompressor
- zlibDecompressorGetFileInfo :: (HasCallStack, MonadIO m, IsZlibDecompressor a) => a -> m FileInfo
- zlibDecompressorNew :: (HasCallStack, MonadIO m) => ZlibCompressorFormat -> m ZlibDecompressor
- getZlibDecompressorFileInfo :: (MonadIO m, IsZlibDecompressor o) => o -> m FileInfo
- constructZlibDecompressorFormat :: IsZlibDecompressor o => ZlibCompressorFormat -> IO (GValueConstruct o)
- getZlibDecompressorFormat :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibCompressorFormat

# Exported types

newtype ZlibDecompressor Source #

Memory-managed wrapper type.

Constructors

ZlibDecompressor (ManagedPtr ZlibDecompressor) |

Instances

GObject ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor Methods gobjectType :: ZlibDecompressor -> IO GType Source #
IsObject ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor
IsConverter ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor
IsZlibDecompressor ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor

class GObject o => IsZlibDecompressor o Source #

Type class for types which can be safely cast to `ZlibDecompressor`, for instance with `toZlibDecompressor`.

Instances

(GObject a, (UnknownAncestorError ZlibDecompressor a :: Constraint)) => IsZlibDecompressor a Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor
IsZlibDecompressor ZlibDecompressor Source # |
Instance details Defined in GI.Gio.Objects.ZlibDecompressor

toZlibDecompressor :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibDecompressor Source #

Cast to `ZlibDecompressor`, for types for which this is known to be safe. For general casts, use `castTo`.

noZlibDecompressor :: Maybe ZlibDecompressor Source #

A convenience alias for `Nothing` :: `Maybe` `ZlibDecompressor`.

# Methods

## getFileInfo

zlibDecompressorGetFileInfo Source #

Arguments

:: (HasCallStack, MonadIO m, IsZlibDecompressor a) |
=> a | `decompressor`: a `ZlibDecompressor`
-> m FileInfo | Returns: a `FileInfo`, or `Nothing`

Retrieves the `FileInfo` constructed from the GZIP header data of compressed data processed by `compressor`, or `Nothing` if `decompressor`'s `ZlibDecompressor`:`format` property is not `ZlibCompressorFormatGzip`, or the header data was not fully processed yet, or it not present in the data stream at all.

Since: 2.26

## new

zlibDecompressorNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ZlibCompressorFormat | `format`: The format to use for the compressed data
-> m ZlibDecompressor | Returns: a new `ZlibDecompressor`

Creates a new `ZlibDecompressor`.

Since: 2.24

# Properties

## fileInfo

A `FileInfo` containing the information found in the GZIP header of the data stream processed, or `Nothing` if the header was not yet fully processed, is not present at all, or the compressor's `ZlibDecompressor`:`format` property is not `ZlibCompressorFormatGzip`.

Since: 2.26

getZlibDecompressorFileInfo :: (MonadIO m, IsZlibDecompressor o) => o -> m FileInfo Source #

Get the value of the “`file-info`” property. When overloading is enabled, this is equivalent to

    get zlibDecompressor #fileInfo

## format

No description available in the introspection data.

constructZlibDecompressorFormat :: IsZlibDecompressor o => ZlibCompressorFormat -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`format`” property. This is rarely needed directly, but it is used by `new`.

getZlibDecompressorFormat :: (MonadIO m, IsZlibDecompressor o) => o -> m ZlibCompressorFormat Source #

Get the value of the “`format`” property. When overloading is enabled, this is equivalent to

    get zlibDecompressor #format